Bug 1342823 - [Gtk3] Toolbars have broken menu
Summary: [Gtk3] Toolbars have broken menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-05 16:06 UTC by Christian Stadelmann
Modified: 2016-07-05 04:57 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.1.4.1-4.fc24 libreoffice-5.1.4.2-4.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 04:57:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2016-06-05 16:06:16 UTC
Description of problem:
Once a toolbar is detached in LibreOffice running on wayland backend, the toolbar is overlapped by its title.

Version-Release number of selected component (if applicable):
libreoffice-5.1.3.2-7.fc24.x86_64 with gtk3-3.20.6-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open any LibreOffice component (Writer, Calc, Base, …)
2. Detach any toolbar by dragging it
3. Watch logs
4. Click the "Down arrow" in detached toolbar's decorations (left next to close button)
5. Watch logs

Actual results:
3. When running on wayland (Gdk backend is wayland), you'll see this warning:
(soffice:24894): GLib-GObject-WARNING **: g_object_weak_unref: couldn't find weak ref 0x7faf24daa8a0(0x55e4b32960f8)
4. The menu is empty and immediately hides wafter clicking it.
5. Same warning is printed again, if Gdk backend is wayland

Expected results:
Menu should be shown. No warnings.

Additional info:
This issue is present with both X11 and wayland Gdk backends.

Comment 1 Christian Stadelmann 2016-06-05 16:24:40 UTC
Sorry, copy-and-paste error in "Description of problem". Just ignore it.

Comment 2 Christian Stadelmann 2016-06-27 08:13:40 UTC
With libreoffice-5.1.4.2-3.fc24.x86_64, the menu isn't empty any more, but it still hides immediately.

Comment 3 Caolan McNamara 2016-06-27 08:35:18 UTC
always did that on all platforms as far as I can see, so not gtk3 specific

Comment 4 Caolan McNamara 2016-06-27 10:12:55 UTC
or maybe not, either way I think I can fix this

Comment 5 Fedora Update System 2016-06-30 12:47:21 UTC
libreoffice-5.1.4.2-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6182a7b901

Comment 6 Fedora Update System 2016-07-02 20:31:09 UTC
libreoffice-5.1.4.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6182a7b901

Comment 7 Fedora Update System 2016-07-05 04:56:58 UTC
libreoffice-5.1.4.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.